function block = cfun_pendelstangeanim(block,flag)
  winId = 20000 + curblock();
  rpar = block.rpar
  phiS = rpar(1); l = rpar(2); lv = rpar(3);
  r = 0.1;
  arcData = [-r, -1+r, 2*r, 2*r, 0, 64*360];
 
  if flag == 4 then  // Init
    hFig = scf(winId);
    hFig.figure_size = [400,500];
    clf(hFig);

    hAxis= hFig.children;
    lim = 1.2;
    hAxis.data_bounds = [-lim,-lim;lim,lim];
    hAxis.isoview = 'on';
    hAxis.auto_ticks = ["off", "off", "off"];
    hAxis.tight_limits = "on";
   
    drawlater();
       // Halterung und Stange, fix
       sH = 0.05;
       plot([sH sH -sH -sH sH], [-sH sH sH -sH -sH]);
       rS = 0.02;
       xS =  (l - lv)*sin(phiS);
       yS = -(l - lv)*cos(phiS);
       xarc(xS-rS, yS+rS, 2*rS, 2*rS, 0, 64*360);
       // Faden
       xpoly([0 0], [0 -1]);
       // Kugel
       xfarc(-r, -1+r, 2*r, 2*r, 0, 64*360);
    drawnow();
  
  elseif flag == 2 then // Update
    hFig = scf(winId);
    hAxis = hFig.children;
    phi = block.inptr(1)(1);
    if phi > phiS then
      x = l*sin(phi);
      y = -l*cos(phi);
      XY = [0,0; x,y];     
    else
      xS =  (l - lv)*sin(phiS);
      yS = -(l - lv)*cos(phiS);
      x = xS + lv*sin(phi);
      y = yS -lv*cos(phi);
      XY = [0,0; xS, yS; x, y];
    end
    drawlater();
      hAxis.children(2).data = XY;
      newArc = arcData;
      newArc(1:2) = [x-r,y+r];
      hAxis.children(1).data = newArc;
    drawnow();
  end
endfunction