function ydot = ode_pendel(t, y, la, A, om)
  // rechte Seite der DGL beim Pendel
  dy1 = y(2);
  dy2 = -la*y(2) - sin(y(1)) + A*cos(om*t);
  ydot = [dy1; dy2];      // Spaltenvektor
endfunction

function ydot = ode_lotkavolterra(t, y, a, b, c, d)
  // rechte Seite der Lotka-Volterra-DGL
  dy1 = a*y(1) - b*y(1)*y(2);
  dy2 = -c*y(2) + d*y(1)*y(2);
  ydot = [dy1; dy2];      // Spaltenvektor
endfunction

function ydot = ode_vanderpol(t, y, mu)
  // rechte Seite der van-der-Pol-DGL
  dy1 = y(2);
  dy2 = mu*(1 - y(1)^2)*y(2) - y(1);
  ydot = [dy1; dy2];      // Spaltenvektor
endfunction
